@import url('https://fonts.googleapis.com/css?family=Lato:300,400,700&display=swap')

html
  scroll-behavior: smooth

body
  margin: 0
  height 100vh

.page_container 
  height: 100vh

.main
  height: calc(100vh - 100px)
  background-color: white
  justify-content: center
  align-items: center
  display: flex

.flex_container
  text-align: center

.name 
  font-size: 4em
  font-family: 'Lato', sans-serif
  background-image: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%)
  background-repeat: no-repeat
  background-size: 100% 0.2em
  background-position: 0 88%

  @media (max-width 600px)
    font-size: 3em

.typing_container
  display: inline-block

.typing
  overflow hidden
  display: inline-block
  border-right: .15em solid #84fab0
  white-space: nowrap
  margin: 0
  letter-spacing: .15em
  font-size: 2em
  animation: typing 2s steps(30, end), blink-caret 1s step-end infinite

@keyframes typing 
  from { width: 0 }
  to { width: 100% }

@keyframes blink-caret {
  from, to { border-color: transparent }
  50%  { border-color: #84fab0 } 
}

.contact_button
  margin: 120px auto
  font-size: 1.5em
  letter-spacing: .15em
  border: 1.5px solid black
  width: max-content
  padding: 0px 25px
  border-radius: 5px
  cursor: pointer

.arrow_container 
  text-align: center
  height: 100px

#arrow
  width: 60px
  height auto

.bounce 
  animation: bounce 3s infinite

@keyframes bounce 
  0%, 50%, 100%
    transform: translateY(0)
  25%
    transform: translateY(15px)
  70%
    transform: translateY(30px)

.second_part 
  background-color: black
  text-align: center
  min-height: 100vh
  padding-bottom: 50px

.title
  color: white
  font-family: 'Lato', sans-serif
  font-size: 3em
  font-weight: 300
  padding: 50px 0

.contact_part
  height: 50vh
  width: 100%
  display: flex
  align-items: center
  justify-content: center

.contact_btn
  width: 200px
  height: 50px
  font-size: 1.4em

